extends Node
class_name State

@onready var state_machine = get_parent()

#### ACCESSORS ####



#### BUILT-IN ####

func _ready() -> void:
	pass


#### VIRTUALS ####

func enter_state() -> void:
	pass


func exit_state(same : bool = false) -> void:
	pass


func update(_delta : float) -> void:
	pass


func is_current_state() -> bool:
	return state_machine.get_state() == self



#### LOGIC ####




#### INPUTS ####




#### SIGNAL RESPONSES ####
